httpup(8)

NAME

httpup - an md5sum based one way synchronisation tool for http file repositories

SYNOPSIS
httpup [options] <command> URL target

DESCRIPTION
httpup performs a one way synchronisation of files published over http. It is meant for data which is one changed in one place but used in different other places, for example a ports system. It does only update the files which are changed (md5sum like).

COMMANDS

httpup sync <URL> <target directory>
    synchronize the local target directory with URL

httpup copy <URL> <target directory>
    copy the URL to target directory

httpup list <target directory>
    List files under httpup's control

OPTIONS
--verify-md5, -m: Verify the md5sum of downloaded files --repofile=<FILE>, -r <FILE>: Alternative name for the remote REPO file --encode, -e: URL encode filenames --insecure-ssl, -k Ignore SSL certificates when downloading from an HTTPS host

CONFIGURATION
In order to specify proxy server and proxy authentication information, httpup looks at /etc/httpup.conf which can contain the following four keys: proxy_host, proxy_port, proxy_user and proxy_pass. Example:

    proxy_host http://proxy.domain.net
    proxy_port 8080
    proxy_user joe
    proxy_pass very_secret

EXAMPLES

httpup sync http://myhost/ports/tks6 /usr/ports/tks6
    Synchronize local copy in /usr/ports/tks6 with the one on myhost

AUTHORS
Johannes Winkelmann <jw@tks6.net>